Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.html
Class FrameType

    java.lang.Object
      |
      +--weblogic.html.HtmlElement
            |
            +--weblogic.html.MarkupElement
                  |
                  +--weblogic.html.FrameType

public class FrameType
extends MarkupElement

This class encapsulates valid values for the FRAME attribute that is supported by some browsers, particularly for use in setting borders around a table. Verify that your browser supports FRAME/RULES attributes before using these values.

Author:
  Copyright (c) 1996-97 by WebLogic, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `TableElement.setFramework(weblogic.html.FrameType, weblogic.html.RulesType)`

Field Summary
`static FrameType` | `above` Deprecated. Renders the top side of the frame.
`static FrameType` | `below` Deprecated. Renders the bottom side of the frame.
`static FrameType` | `border` Deprecated. Renders all four sides of the frame.
`static FrameType` | `box` Deprecated. Renders all four sides of the frame.
`static FrameType` | `hsides` Deprecated. Renders the top and bottoms sides of the frame.
`static FrameType` | `lhs` Deprecated. Renders the left hand side of the frame.
`static FrameType` | `none` Deprecated. Does not render any sides of the frame.
`static FrameType` | `rhs` Deprecated. Renders the right hand side of the frame.
`static FrameType` | `vsides` Deprecated. Renders the left and right sides of the frame.

Fields inherited from class weblogic.html.MarkupElement
`BeginAddress, BeginAddressStr, BeginBlockquote, BeginBlockquoteStr, BeginBody, BeginBodyStr, BeginBold, BeginBoldStr, BeginCenter, BeginCenterStr, BeginComment, BeginCommentStr, BeginDiv, BeginDivStr, BeginHeadStr, BeginHtml, BeginHtmlStr, BeginItalic, BeginItalicStr, BeginLiteral, BeginLiteralStr, BeginParagraph, BeginParagraphStr, BeginScriptStr, BeginTitle, BeginTitleStr, Break, BreakStr, contents, CR, CRStr, EndAddress, EndAddressStr, EndBlockquote, EndBlockquoteStr, EndBody, EndBodyStr, EndBold, EndBoldStr, EndCenter, EndCenterStr, EndComment, EndCommentStr, EndDiv, EndDivStr, EndFont, EndFontStr, EndHeadStr, EndHtml, EndHtmlStr, EndItalic, EndItalicStr, EndLiteral, EndLiteralStr, EndParagraph, EndParagraphStr, EndScriptStr, EndTitle, EndTitleStr, HorizontalLine, HorizontalLineStr, HorizontalRule, NoBreak, NoBreakStr, WordBreak, WordBreakStr`

Fields inherited from class weblogic.html.HtmlElement
`codeset, useObsolete`

Constructor Summary
`FrameType(java.lang.String str)` Deprecated. Constructor.

Methods inherited from class weblogic.html.MarkupElement
`BeginFont, BeginFontFace, BeginFontSize, BeginHeader, EndHeader, output, output, output, setContents`

Methods inherited from class weblogic.html.HtmlElement
`asAnchorElement, asBigElement, asBlockquoteElement, asBoldElement, asCenteredElement, asCiteElement, asCodeElement, asCommentElement, asDefineTermElement, asEmphasisElement, asFontElement, asFontElement, asFontElement, asHtmlContainer, asItalicElement, asKeyboardElement, asLiteralElement, asParagraphElement, asSampleElement, asSmallElement, asStrikeElement, asStrongElement, asSubscriptElement, asSuperscriptElement, asTeletypeElement, asUnderlineElement, asVariableElement, getVersion, setAnchorMode, setCodeset, toString, toString, widthAsLiteral`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### none

    public static FrameType none

  Deprecated.
  Does not render any sides of the frame.

### above

    public static FrameType above

  Deprecated.
  Renders the top side of the frame.

### below

    public static FrameType below

  Deprecated.
  Renders the bottom side of the frame.

### hsides

    public static FrameType hsides

  Deprecated.
  Renders the top and bottoms sides of the frame.

### lhs

    public static FrameType lhs

  Deprecated.
  Renders the left hand side of the frame.

### rhs

    public static FrameType rhs

  Deprecated.
  Renders the right hand side of the frame.

### vsides

    public static FrameType vsides

  Deprecated.
  Renders the left and right sides of the frame.

### box

    public static FrameType box

  Deprecated.
  Renders all four sides of the frame.

### border

    public static FrameType border

  Deprecated.
  Renders all four sides of the frame. This value is included for backwards compatibility.

Constructor Detail

### FrameType

    public FrameType(java.lang.String str)

  Deprecated.
  Constructor.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD